Skip to main content
GET
/
api
/
call_details
Call Details
curl --request GET \
  --url https://api.example.com/api/call_details
[
  {
    "id": 123,
    "call_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "call_agent_id": 123,
    "agent_name": "<string>",
    "call_insights": {},
    "call_recording_url": "<string>",
    "from_number": "<string>",
    "to_number": "<string>",
    "recording_id": "<string>",
    "call_context": {},
    "call_status": "QUEUED",
    "call_duration": 123,
    "billed_duration": 123,
    "initiation_time": "<string>",
    "answer_time": "<string>",
    "end_time": "<string>",
    "hangup_cause_name": "<string>",
    "hangup_source": "<string>",
    "call_direction": "inbound",
    "task_id": 123,
    "call_triggered": true,
    "call_quality": {},
    "call_timeline": [
      "<unknown>"
    ],
    "tool_data": [
      {}
    ]
  }
]

Query Parameters

status
enum<string> | null
Available options:
ANSWERED,
FAILED,
INITIATED,
QUEUED
direction
enum<string> | null
Available options:
inbound,
outbound

Response

Successful Response

id
integer
required
call_id
string<uuid>
required
call_agent_id
integer | null
agent_name
string | null
call_insights
Call Insights · object
call_recording_url
string | null
from_number
string | null
to_number
string | null
recording_id
string | null
call_context
Call Context · object
call_status
enum<string>
default:QUEUED
Available options:
ANSWERED,
FAILED,
INITIATED,
QUEUED
call_duration
number | null
billed_duration
number | null
initiation_time
string | null
answer_time
string | null
end_time
string | null
hangup_cause_name
string | null
hangup_source
string | null
call_direction
enum<string>
default:inbound
Available options:
inbound,
outbound
task_id
integer | null
call_triggered
boolean | null
call_quality
Call Quality · object
call_timeline
any[] | null
tool_data
Tool Data · object[] | null